## Installation Options:

### Packages:

* screen
* file-roller
* vim
* distrobox & podman already pre-selected

## First Boot Configuration Changes

### First Login Screen
1. Fill in the normal first-time login screens with your timezone, name, password, etc. It make take some time for this to finish.

### Create some distroboxes for other distros.
In this example, I'm going to create one for Arch, Ubuntu, and and older version of Debian. The names of the distroboxes will be "arch", "ubuntu", and "deb9" but you can choose what you want.
```
distrobox-create arch --image docker.io/library/archlinux:latest
distrobox-create ubuntu --image docker.io/library/ubuntu
distrobox-create deb9 --image docker.io/library/debian:9
distrobox-create trinity --image docker.io/jsevans/trinitydesktop
```

### Configure xsessions
This change will allow us to add desktops from other distros to the login screen.

1. Open a terminal then open the transactional-update shell:
```shell
sudo transactional-update shell
```
2. Copy `/usr/share/xsessions` to `/opt/share/xsessions`
```shell
mkdir /opt/share 
cp -rv /usr/share/xsessions/ /opt/share/
```
3. Delete `/usr/share/xsessions`
```shell
rm -rf /usr/share/xsessions/
```
4. Make a symlink from `/opt/share/xsessions` to `/usr/share/xsessions`.
```shell
ln -s /opt/share/xsessions /usr/share/xsessions
```
**At the end of this step, do not exit the shell or reboot. We will continue using this shell in the following steps!**

### Install packages
Install the packages that you want to use on the base system that are not already present. I will using the the following.

Refresh the package cache:
```shell
zypper ref
```

Install the packages. Choose the ones that you want. You don't have to use the same ones as me.
```shell
zypper in mc mlocate micro-editor tilix
```

Exit the shell
```
exit
```

You should see something like this at the end:
```
Please reboot your machine to activate the changes and avoid data loss.
New default snapshot is #2 (/.snapshots/2/snapshot).
transactional-update finished
```

Reboot your machine.

## Set up a simple xterm login option
The GDM login display manager reads the .desktop files from /usr/share/xsessions in order to know how to start the display manager such a Gnome, KDE, Mate, etc. We can create a very simple desktop file that will only start xterm which will be very useful for troubleshooting.

xterm.desktop:
```
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=xterm
TryExec=xterm
Name=xterm
DesktopNames=xterm

```

Copy `xterm.desktop` to /opt/share/xsessions (which we have linked to /usr/share/xsessions). Then logout and when you log back in, you will see an xterm option. If you log in, you will get a single terminal screen. If you exit the terminal, it will log you out.

```
sudo cp xterm.desktop /opt/share/xsessions/
```

### Install Trinity Desktop in Ubuntu

Enter into the Distrobox session.
```
distrobox enter ubuntu
```

Install the mate-desktop-environment package. This will take some time since it installs a lot of packages with it.
```
sudo apt update
sudo apt install mate-desktop-environment
```